<?php
  // load config
  $cfg=parse_ini_file("serve.ini", true);

  // load locale
  #$lang=locale_accept_from_http($_SERVER['HTTP_ACCEPT_LANGUAGE']);

  $lang="en_US";
  $strings=parse_ini_file("data/locale/".$lang."/strings/main.ini");

  // cookies
  if(!isset($_COOKIE['sts_theme'])){
    setcookie('sts_theme','default');
    $_COOKIE['sts_theme'] = 'default';
  }
  if(!isset($_COOKIE['sts_scripting'])){
    setcookie('sts_scripting','none');
    $_COOKIE['sts_scripting'] = 'none';
  }
?>
<html>
  <head>
    <title><?php echo $cfg['META']['name']; ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php
      echo "<link rel=\"stylesheet\" href=\"assets/themes/".$_COOKIE['sts_theme']."/main.css\">";
      echo "<link rel=\"stylesheet\" href=\"assets/themes/".$_COOKIE['sts_theme']."/index.css\">";
    ?>
  </head>
  <body>
    <?php
      echo "<h1 title=\"".$strings['misc_stslogohover']."\">".file_get_contents("data/misc/icon/html.html")."</h1><br>";
    ?>
    <?php
      echo "<div class=\"searchbox\"><form id=\"searchbox\">\n";
      echo "<input class=\"sbox\" type=\"text\" placeholder=\"".$strings['interactions_searcharea_hint']."\" name=\"query\">";
      echo "<input type=\"submit\" value=\"".$strings['interactions_basic_search']."\">\n";
      echo "</form></div>"
    ?>

    <iframe style="position:absolute;bottom:30px;right:10px;" src="dynamicGen.php?content=aboutserver" width="376" height="276"></iframe>
  </body>
</html>